Debian Bug report logs - #583533
live-initramfs: policykit grants all permissions even with nosudo

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Josselin Mouette <joss@debian.org>

Date: Fri, 28 May 2010 07:45:08 UTC

Severity: normal

Tags: patch

Found in version live-initramfs/1.236.2-1

Fixed in version live-config/2.0~a3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Fri, 28 May 2010 07:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 28 May 2010 07:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: submit@bugs.debian.org
Subject: live-initramfs: policykit grants all permissions even with nosudo
Date: Fri, 28 May 2010 09:32:28 +0200
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.236.2-1
Tags: patch

When booting with nosudo, you can still do virtually anything you want
on the system, because PolicyKit will grant all permissions to the live
user.

Attached patch fixes the bug.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “A handshake with whitnesses is the same
  `-     as a signed contact.”  -- Jörg Schilling
[pk-allow.patch (text/x-patch, inline)]
--- /tmp/pouet2/usr/share/initramfs-tools/scripts/live-bottom/44pk_allow	2010-05-18 06:53:40.000000000 +0200
+++ 44pk_allow	2010-05-27 23:05:27.000000000 +0200
@@ -22,6 +22,9 @@
 
 . /scripts/live-functions
 
+if [ -z "${NOSUDO}" ]
+then
+
 log_begin_msg "Grant administrative PolicyKit pivilieges to default user"
 
 # live-initramfs script
@@ -69,3 +72,5 @@
 EOF
 
 log_end_msg
+
+fi

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Fri, 28 May 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 28 May 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 583533@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 583533-submitter@bugs.debian.org
Cc: 583533@bugs.debian.org
Subject: Re: live-initramfs: policykit grants all permissions even with nosudo
Date: Fri, 28 May 2010 09:51:26 +0200
tag 583533 pending
thanks

Hi,

thanks for your patch, however, this is not required anymore in
live-config. If you don't want policykit to be present anymore, you can
avoid the scripts to be run (see man live-config).

on a side note: it's a bit inconvenient to have to specify positively
all wanted scripts, when you just want to disable one. that's why i'm
going to add the negative ones too, so you could use something like
live-noconfig=foo.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 07:54:05 GMT) Full text and rfc822 format available.

Message sent on to Josselin Mouette <joss@debian.org>:
Bug#583533. (Fri, 28 May 2010 07:54:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#583533; Package live-initramfs. (Fri, 28 May 2010 09:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 28 May 2010 09:12:08 GMT) Full text and rfc822 format available.

Message #20 received at 583533-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: daniel@debian.org, 583533-quiet@bugs.debian.org
Subject: Re: Bug#583533: live-initramfs: policykit grants all permissions even with nosudo
Date: Fri, 28 May 2010 11:08:41 +0200
Le vendredi 28 mai 2010 à 09:51 +0200, Daniel Baumann a écrit :
> tag 583533 pending
> thanks
> 
> Hi,
> 
> thanks for your patch, however, this is not required anymore in
> live-config. If you don't want policykit to be present anymore, you can
> avoid the scripts to be run (see man live-config).
> 
> on a side note: it's a bit inconvenient to have to specify positively
> all wanted scripts, when you just want to disable one. that's why i'm
> going to add the negative ones too, so you could use something like
> live-noconfig=foo.

Since people are usually not aware of how PolicyKit works, I think it
would be better to disable both sudo and PK with the same command-line
argument.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “A handshake with whitnesses is the same
  `-     as a signed contact.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Fri, 28 May 2010 19:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 28 May 2010 19:45:16 GMT) Full text and rfc822 format available.

Message #25 received at 583533@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 583533@bugs.debian.org
Cc: 583533-submitter@bugs.debian.org
Subject: Re: Bug#583533: live-initramfs: policykit grants all permissions even with nosudo
Date: Fri, 28 May 2010 21:40:57 +0200
On 05/28/2010 09:51 AM, Daniel Baumann wrote:
> on a side note: it's a bit inconvenient to have to specify positively
> all wanted scripts, when you just want to disable one. that's why i'm
> going to add the negative ones too, so you could use something like
> live-noconfig=foo.

done in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Josselin Mouette <joss@debian.org>:
Bug#583533. (Fri, 28 May 2010 19:45:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Fri, 28 May 2010 19:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 28 May 2010 19:48:06 GMT) Full text and rfc822 format available.

Message #33 received at 583533@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 583533@bugs.debian.org
Subject: Re: Bug#583533: live-initramfs: policykit grants all permissions even with nosudo
Date: Fri, 28 May 2010 21:45:04 +0200
On 05/28/2010 11:08 AM, Josselin Mouette wrote:
> Since people are usually not aware of how PolicyKit works, I think it
> would be better to disable both sudo and PK with the same command-line
> argument.

right, but not with 'nosudo'. nosudo implies (at least for me), to
disable sudo, not anything else.

i'm going to add another set of parameters that are more broad, that
cover more than one config script, something like 'norootrights' (well,
not literally, have to think about a better name, but you'll get the
idea) disabling both sudo and policykit.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Sat, 29 May 2010 08:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 29 May 2010 08:09:06 GMT) Full text and rfc822 format available.

Message #38 received at 583533@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: daniel@debian.org
Cc: 583533@bugs.debian.org
Subject: Re: Bug#583533: live-initramfs: policykit grants all permissions even with nosudo
Date: Sat, 29 May 2010 10:08:22 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 28 mai 2010 à 21:45 +0200, Daniel Baumann a écrit :
> On 05/28/2010 11:08 AM, Josselin Mouette wrote:
> > Since people are usually not aware of how PolicyKit works, I think it
> > would be better to disable both sudo and PK with the same command-line
> > argument.
> 
> right, but not with 'nosudo'. nosudo implies (at least for me), to
> disable sudo, not anything else.
> 
> i'm going to add another set of parameters that are more broad, that
> cover more than one config script, something like 'norootrights' (well,
> not literally, have to think about a better name, but you'll get the
> idea) disabling both sudo and policykit.

Seems fair. How about 'noroot', since this effectively makes the root
account unusable?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583533; Package live-initramfs. (Sat, 29 May 2010 10:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 29 May 2010 10:00:06 GMT) Full text and rfc822 format available.

Message #43 received at 583533@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 583533@bugs.debian.org
Subject: Re: Bug#583533: live-initramfs: policykit grants all permissions even with nosudo
Date: Sat, 29 May 2010 11:42:33 +0200
On 05/29/2010 10:08 AM, Josselin Mouette wrote:
> Seems fair. How about 'noroot', since this effectively makes the root
> account unusable?

that sounds good to me. thanks!

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 15 Jul 2010 17:21:10 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Thu, 15 Jul 2010 17:21:10 GMT) Full text and rfc822 format available.

Message #48 received at 583533-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 583533-close@bugs.debian.org
Subject: Bug#583533: fixed in live-config 2.0~a3-1
Date: Thu, 15 Jul 2010 17:19:30 +0000
Source: live-config
Source-Version: 2.0~a3-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-sysvinit_2.0~a3-1_all.deb
  to main/l/live-config/live-config-sysvinit_2.0~a3-1_all.deb
live-config_2.0~a3-1.diff.gz
  to main/l/live-config/live-config_2.0~a3-1.diff.gz
live-config_2.0~a3-1.dsc
  to main/l/live-config/live-config_2.0~a3-1.dsc
live-config_2.0~a3-1_all.deb
  to main/l/live-config/live-config_2.0~a3-1_all.deb
live-config_2.0~a3.orig.tar.gz
  to main/l/live-config/live-config_2.0~a3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 May 2010 09:35:32 +0200
Source: live-config
Binary: live-config live-config-sysvinit
Architecture: source all
Version: 2.0~a3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
Closes: 583533
Changes: 
 live-config (2.0~a3-1) unstable; urgency=low
 .
   * Removing fixme note about configuration filename.
   * Adding note about a logfile to todo.
   * Adding reference to locales script in manpages.
   * Adding live-noconfig option to exclude specific scripts from being
     run (Closes: #583533).
   * Reordering parameters to match ordering of scripts.
   * Allow to use live-noconfig for excluding scripts without the need of
     specifying live-config too.
   * Updating German manpage translation.
   * Using UTF-8 and umlauts in German manpage translation.
   * Adding shortcut parameter to disable root privileges, no matter what
     mechanism would be used.
   * Replacing reference to live-initramfs with live-boot in manpage.
   * Setting default user fullname to 'Debian Live user'.
   * Adding wget to suggests.
   * Adding script options in manpages.
   * Improving wording in boot parameter (scripts) section of manpage.
   * Improving German manpages translation.
Checksums-Sha1: 
 19973d20517ca8888ec75020380f873a17d6038c 1234 live-config_2.0~a3-1.dsc
 914c900a432b7d7de9dfa71161f8b0c876a5cad8 29384 live-config_2.0~a3.orig.tar.gz
 710e2dc3c5d71f63fb9f8d7c001cc9cf3b1a2665 2384 live-config_2.0~a3-1.diff.gz
 1de519b960b24a903b5b5221381fb8a66f0da3e7 17172 live-config_2.0~a3-1_all.deb
 0fc5079290a9d2eee0b27a17a4c79b023cb7f234 2988 live-config-sysvinit_2.0~a3-1_all.deb
Checksums-Sha256: 
 e9edbde18bea22795eff84639470c2b8979f2ceb058021aa15b512e7e1160dbf 1234 live-config_2.0~a3-1.dsc
 da08d90ca7b3d8641cbf4da4d8c779d83d7b417a3c3942906a14b802c7383d71 29384 live-config_2.0~a3.orig.tar.gz
 28a4b8f991ffa69e5b031004bd7168d3c3f9e47e11668db120edb121f17c5e06 2384 live-config_2.0~a3-1.diff.gz
 cda59b30987950b6f64654ef4df257976a00e12a7515ef6cc5e58632ebdc96d4 17172 live-config_2.0~a3-1_all.deb
 9e8a354c2597d4a533cae2f1532b625ecac7010ef93d314400adfe8f5b482008 2988 live-config-sysvinit_2.0~a3-1_all.deb
Files: 
 279e30d6052fd7aa4bcfdef363a20883 1234 misc optional live-config_2.0~a3-1.dsc
 31a1dfcaa80da837a6034a2215ec7b24 29384 misc optional live-config_2.0~a3.orig.tar.gz
 7c5962e3c9def4e4689795fd39ac4cfc 2384 misc optional live-config_2.0~a3-1.diff.gz
 baf71ebe638ecef6ee8299919ddde695 17172 misc optional live-config_2.0~a3-1_all.deb
 29eba5f7d0b7d9fbd75150bcbf9aabb7 2988 misc optional live-config-sysvinit_2.0~a3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwCFfUACgkQ+C5cwEsrK56s+ACeMNgjHyG6MzwLq2kwlcMBrccM
9+IAn0mq7esVq/1U8Jpv9SUl3EI/q7Sv
=HOx/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:58:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.